<app-loading *ngIf="loadingPage"></app-loading>
<nz-card class="main-list-line-card">
  <div nz-row>
    <div nz-col nzSpan="6" class="main-list-line-card__left">
      <mb-select-check-able [mbDataSelects]="lineList" mbKeyLabel="pgrName" mbKeyValue="pgrId"
        mbLabelText="{{'Line' | translate}}" mbPlaceholder="{{'Chọn line' | translate}}" mbType="default"
        [mbShowAction]="false" (mbEventEmit)='onSelectLine($event)' [(ngModel)]="searchObj.ids"></mb-select-check-able>
    </div>

    <div nz-col nzSpan="6" class="main-list-line-card__center">
      <mb-date-picker mbFormat="dd/MM/yyyy" mbLabelText="{{'Ngày hiệu lực' | translate}}" mbPlaceholderText="dd/mm/yyyy"
        [(ngModel)]="searchObj.fromDate"></mb-date-picker>
    </div>
    <div nz-col nzSpan="6" class="main-list-line-card__right">
      <mb-select name="period" [mbShowSearch]="true" [mbDataSelects]="status" mbKeyValue="value"
                    mbKeyLabel="name" [(ngModel)]="searchObj.flagStatus"
                    mbLabelText="{{'Trạng thái' | translate}}"
                    mbPlaceholder="{{'Chọn trạng thái' | translate}}">
      </mb-select>
    </div>
    <div nz-col nzSpan="5" class="main-list-line-card__footer">
      <mb-button mbButtonSize='MEDIUM' mbButtonAvailableStyle='CUSTOM' (click)="search()" mbButtonText='Tìm kiếm'>
      </mb-button>
    </div>
  </div>
</nz-card>
<div class="table ant-table-content">
  <nz-table [nzData]="initData" [nzFrontPagination]="false" [nzShowPagination]="false" #rowSelectionTable
   [nzScroll]="initData.length > 0 ? {y:'500px'}:{}" nzSize="small">
    <thead>
      <tr>
        <th nzWidth="90px" class="text-center" scope="col">STT</th>
        <th scope="col">Line</th>
        <th scope="col">Ngày hiệu lực</th>
        <th scope="col">Ngày hết hiệu lực</th>
        <th scope="col">Thông tin phê duyệt</th>
        <th scope="col" class="text-center" nzWidth="180px">Trạng thái</th>
        <th scope="col" nzWidth="120px" nzRight></th>
      </tr>
    </thead>
    <tbody>
      <tr *ngFor="let data of rowSelectionTable.data, let i = index" (dblclick)="viewDetail(data.pgrId)">
        <td class="text-center">{{(searchObj.page * searchObj.size) + (i+1)}}</td>
        <td>{{data.pgrName?data.pgrName:"..."}}</td>
        <td>{{!data.fromDate?"...": data.fromDate | date: 'dd/MM/yyyy'}}</td>
        <td>{{!data.toDate?"...": data.toDate | date: 'dd/MM/yyyy'}}</td>
        <td>{{data.content?data.content:"..."}}</td>
        <td [nzAlign]="'center'">
          <nz-tag [class]="renderFlagStatus(data.flagStatus).class">{{renderFlagStatus(data.flagStatus).text}}</nz-tag>
        </td>
        <td nzRight>
          <div class="main-list-line__table--action">
            <button class="btn-delete" nz-button><img src="assets/images/icon/delete_outline.svg" alt=""
                (click)="deleteLine(data.pgrId, i)" *ngIf="objFunction?.delete">
            </button>
          </div>
        </td>
      </tr>
    </tbody>
  </nz-table>
  <div class="pagination">
    <div *ngIf="initData.length === 0; else elseTplNoti">
      <img class="pagination__table-info--icon" alt="" src="assets/images/icon/idea.svg" alt=""/>
      <span class="pagination__table-info--text"> Tìm thấy {{ initData.length }} kết quả </span>
    </div>
    <ng-template #elseTplNoti>
      <div class="pagination__table-info">
        <img class="pagination__table-info--icon" src="assets/images/icon/idea.svg" alt=""/>
        <span class="pagination__table-info--text">Tìm thấy {{ pagination.totalElements }} kết quả, hiển thị từ
          {{ pagination.size * (pagination.currentPage-1) + 1 }} đến
          {{ pagination.size * pagination.currentPage}}</span>
      </div>
    </ng-template>
    <nz-pagination [(nzPageIndex)]="pagination.currentPage" [nzTotal]="pagination.totalElements"
      [nzPageSize]="pagination.size" (nzPageIndexChange)="changePage()" class="pagination__icon"></nz-pagination>
  </div>
</div>
